# $Id: tinyca.spec 1870 2004-08-05 23:14:21Z dag $
# Authority: dag
# Upstream: <sm$sm-zone,net>

%{?dist: %{expand: %%define %dist 1}}

%{?rh7:%define _without_freedesktop 1}
%{?el2:%define _without_freedesktop 1}
%{?rh6:%define _without_freedesktop 1}

Summary: Graphical Tool for Managing a Certification Authority
Name: tinyca
Version: 0.6.6
Release: 1.dag
License: GPL
Group: Applications/Internet
URL: http://tinyca.sm-zone.net/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source:	http://tinyca.sm-zone.net/tinyca-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
Requires: openssl, Gtk-Perl

%description 
TinyCA is a graphical tool written in Perl/Gtk to manage a small
Certification Authority (CA) using openssl.

TinyCA supports - creation and revocation of x509 - S/MIME
certificates.

%prep
%setup

%{__perl} -pi.orig -e '
		s|./lib|%{_datadir}/tinyca|g;
		s|./locale|%{_datadir}/locale|g;
		s|./templates|%{_sysconfdir}/tinyca|g;
	' tinyca

%{__cat} <<EOF >tinyca.desktop
[Desktop Entry]
Name=TinyCA Certification Authority
Comment=Work with various certificates
Exec=tinyca
Type=Application
Encoding=UTF-8
Icon=redhat-accessories.png
Categories=GNOME;Application;Utility;
EOF

%build
%{__make} -C po

%install
%{__rm} -rf %{buildroot}
%{__install} -D -m0644 templates/openssl.cnf %{buildroot}%{_sysconfdir}/tinyca/openssl.cnf
%{__install} -D -m0755 tinyca %{buildroot}%{_bindir}/tinyca

%{__install} -d -m0755 %{buildroot}%{_datadir}/locale/
%{__cp} -av locale/* %{buildroot}%{_datadir}/locale/

%{__install} -d -m0755 %{buildroot}%{_datadir}/tinyca/
%{__cp} -av lib/* %{buildroot}%{_datadir}/tinyca/

%find_lang %{name}

%if %{?_without_freedesktop:1}0
	%{__install} -D -m0644 tinyca.desktop %{buildroot}%{_datadir}/gnome/apps/Utilities/tinyca.desktop
%else   
	%{__install} -d -m0755 %{buildroot}%{_datadir}/applications/
	desktop-file-install --vendor gnome                \
		--add-category X-Red-Hat-Base              \
		--dir %{buildroot}%{_datadir}/applications \
		tinyca.desktop
%endif

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root, 0755)
%doc CHANGES INSTALL
%config %{_sysconfdir}/tinyca/
%{_bindir}/tinyca
%{_datadir}/tinyca/
%{?_without_freedesktop:%{_datadir}/gnome/apps/Utilities/tinyca.desktop}
%{!?_without_freedesktop:%{_datadir}/applications/gnome-tinyca.desktop}

%changelog
* Sat Aug 14 2004 Dag Wieers <dag@wieers.com> - 0.6.6-1
- Updated to release 0.6.6.

* Thu Aug 05 2004 Dag Wieers <dag@wieers.com> - 0.6.5-1
- Updated to release 0.6.5.

* Wed Jun 16 2004 Dag Wieers <dag@wieers.com> - 0.6.3-1
- Updated to release 0.6.3.

* Tue Jun 15 2004 Dag Wieers <dag@wieers.com> - 0.6.2-1
- Updated to release 0.6.2.

* Sun May 23 2004 Dag Wieers <dag@wieers.com> - 0.6.1-1
- Updated to release 0.6.1.

* Wed May 12 2004 Dag Wieers <dag@wieers.com> - 0.6.0-1
- Updated to release 0.6.0.

* Thu Oct 23 2003 Dag Wieers <dag@wieers.com> - 0.5.4-0
- Initial package. (using DAR)
